org.bouncycastle.asn1

## Class ASN1UniversalString

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.asn1.ASN1Primitive
    - - org.bouncycastle.asn1.ASN1UniversalString

- All Implemented Interfaces:
    ASN1Encodable, ASN1String, Encodable
  Direct Known Subclasses:
    DERUniversalString

      public abstract class ASN1UniversalString
      extends ASN1Primitive
      implements ASN1String

  ASN.1 UniversalString object - encodes UNICODE (ISO 10646) characters using 32-bit format. In Java we have no way of representing this directly so we rely on byte arrays to carry these.

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ASN1UniversalString` | `getInstance(ASN1TaggedObject taggedObject, boolean declaredExplicit)` Return a Universal String from a tagged object.
    `static ASN1UniversalString` | `getInstance(java.lang.Object obj)` Return a Universal String from the passed in object.
    `byte[]` | `getOctets()`
    `java.lang.String` | `getString()` Return a Java String representation of this STRING type's content.
    `static ASN1UniversalString` | `getTagged(ASN1TaggedObject taggedObject, boolean declaredExplicit)`
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Primitive

      `encodeTo, encodeTo, equals, equals, equals, fromByteArray, fromStream, toASN1Primitive`

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `getEncoded, getEncoded, hasEncodedTagValue`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static ASN1UniversalString getInstance(java.lang.Object obj)

      Return a Universal String from the passed in object.
      Parameters:
        `obj` - an ASN1UniversalString or an object that can be converted into one.
      Returns:
        an ASN1UniversalString instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the object cannot be converted.

    - #### getInstance

          public static ASN1UniversalString getInstance(ASN1TaggedObject taggedObject,
                                                        boolean declaredExplicit)

      Return a Universal String from a tagged object.
      Parameters:
        `taggedObject` - the tagged object holding the object we want
        `declaredExplicit` - true if the object is meant to be explicitly tagged false otherwise.
      Returns:
        a ASN1UniversalString instance, or null
      Throws:
        `java.lang.IllegalArgumentException` - if the tagged object cannot be converted.

    - #### getTagged

          public static ASN1UniversalString getTagged(ASN1TaggedObject taggedObject,
                                                      boolean declaredExplicit)

    - #### getString

          public final java.lang.String getString()

      Description copied from interface: `ASN1String`
      Return a Java String representation of this STRING type's content.
      Specified by:
        `getString` in interface `ASN1String`
      Returns:
        a Java String representation of this STRING.

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### getOctets

          public final byte[] getOctets()

    - #### hashCode

          public final int hashCode()

      Specified by:
        `hashCode` in class `ASN1Primitive`